<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Utility Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Utility Functions<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___internal.html">Internals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Utility functions used internally.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1d52d96557a8c24880440281cdcbed3b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga1d52d96557a8c24880440281cdcbed3b">gtrack_spherical2cartesian</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *sph, float *cart)</td></tr>
<tr class="separator:ga1d52d96557a8c24880440281cdcbed3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff43537e4a3cabacc2a5d0c0d5c86a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga6ff43537e4a3cabacc2a5d0c0d5c86a1">gtrack_cartesian2spherical</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *cart, float *sph)</td></tr>
<tr class="separator:ga6ff43537e4a3cabacc2a5d0c0d5c86a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43d97bc40b5cbbcf10ffc095d434401d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga43d97bc40b5cbbcf10ffc095d434401d">gtrack_computeJacobian</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *cart, float *jac)</td></tr>
<tr class="separator:ga43d97bc40b5cbbcf10ffc095d434401d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcece06aec5c9eb7577a833366fb3db7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#gabcece06aec5c9eb7577a833366fb3db7">gtrack_unrollRadialVelocity</a> (float rvMax, float rvExp, float rvIn)</td></tr>
<tr class="separator:gabcece06aec5c9eb7577a833366fb3db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70fc6fbaf4df8bacc7179e0e6cd9ac81"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga70fc6fbaf4df8bacc7179e0e6cd9ac81">isPointInsideBox</a> (float x, float y, <a class="el" href="struct_g_t_r_a_c_k__boundary_box.html">GTRACK_boundaryBox</a> *box)</td></tr>
<tr class="separator:ga70fc6fbaf4df8bacc7179e0e6cd9ac81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Utility functions used internally. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga6ff43537e4a3cabacc2a5d0c0d5c86a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_cartesian2spherical </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>cart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>sph</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to convert a vector from cartesian to sherical to cartesian</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>Format used </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cart</td><td>Pointer to state vector (cartesian form) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sph</td><td>Pointer to measurements (spheriacl form) vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga43d97bc40b5cbbcf10ffc095d434401d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_computeJacobian </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>cart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>jac</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function computes partial derivatives of the cartesian vector</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>Format used </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cart</td><td>Pointer to state vector (cartesian form) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">jac</td><td>Pointer to jacobian parial derivatives) vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1d52d96557a8c24880440281cdcbed3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_spherical2cartesian </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>sph</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>cart</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to convert a vector from sherical to cartesian</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>Format used </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sph</td><td>Pointer to measurements (spheriacl form) vector </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cart</td><td>Pointer to state vector (cartesian form)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabcece06aec5c9eb7577a833366fb3db7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float gtrack_unrollRadialVelocity </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rvMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rvExp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rvIn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to unroll radial velocity from +/- rvMax form based on expectation velocity value</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rvMax</td><td>Unambigious radial velocity </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rvExp</td><td>Expected radial velocity value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rvIn</td><td>Measured radial velocity value</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">rvOut</td><td>Unrolled radial velocity value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga70fc6fbaf4df8bacc7179e0e6cd9ac81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t isPointInsideBox </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__boundary_box.html">GTRACK_boundaryBox</a> *&#160;</td>
          <td class="paramname"><em>box</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function checks whether the point is inside the box boundary or not</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x</td><td>x coordinate </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">y</td><td>y coordinate </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">box</td><td>pointer to a 2D box object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>if inside, 0 otherwise </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
